/*
Copyright (C) 2022 Christoph Boelitz

E-mail: tools@dosforum.de
Project page: http://tools.dosforum.de/

This program is free software as long as its used privately.
Commercial use, as unlikely as it may seem, is hereby prohibited.
The source code may be modified and distributed as long
as my contact information is left in place.

Let me know, if you have suggestions or see something that can
be done in a better way, so I might learn from it. Thanks!
*/

#ifndef _MAIN_H_INCLUDED
#define _MAIN_H_INCLUDED

#include <stdio.h>
#include <string.h>
#include <ctype.h>
#include <unistd.h>
#include <stdlib.h>
#include <stdarg.h>
#include <time.h>
#include <dos.h>

#include "ide.h"
#include "log.h"

//Defines
#define MAIN_VER "1.2"
#define MAIN_BANNER1               "CDBeQuiet!"
#define MAIN_BANNER2               "by Christoph Boelitz (tools@dosforum.de)"

#define CDBQ_LOGFILE "cdbq.log"

//General error handling
#define CDBQ_ERR_SUCCESS                1000
#define CDBQ_ERR_TIME                   1001
#define CDBQ_ERR_CMDLINE_UNK_PRINT      1002
#define CDBQ_ERR_CMDLINE_UNK_NONPRINT   1003
#define CDBQ_ERR_CMDLINE_MISSING_ARG    1004
#define CDBQ_ERR_CMDLINE_MISSING_OPT    1005
#define CDBQ_ERR_CMDLINE_GETOPT         1006
#define CDBQ_ERR_CMDLINE_CONFLICT       1007
#define CDBQ_ERR_CMDLINE_WRONG_SPEED    1008

//Prototypes
void handle_error(int err_code, int log, ...);
void cmdline_help();
char* trim(char *str);
void cmdline_parse(int argc, char *argv[]);
void exit_func();

#endif
